#ifndef OCARINA_GTK_H
#define OCARINA_GTK_H

extern "C" {
	#include <gtk/gtk.h>
}

#define GTK_CONNECT(widget, event, func, arg) \
	g_signal_connect(widget, event, G_CALLBACK(func), arg)

void box_pack_start(GtkWidget *, GtkWidget *, gboolean, gboolean, guint);
void box_pack_end(GtkWidget *, GtkWidget *, gboolean, gboolean, guint);
void container_add(GtkWidget *, GtkWidget *);

#endif
